/**
 * @file CommandThreadStruct.h
 * @date 2010/02/21 新規作成
 * @author
 *
 * Thread実行用データクラス
 */
#ifndef _COMMAND_THREAD_STRUCT_H_
#define _COMMAND_THREAD_STRUCT_H_

#include <string>
#include <vector>

struct _CommandThreadStruct{
	bool						isBegun;
	bool						isEnded;
	std::vector<std::string>	commandString;
	std::string					commandDirectory;
};
typedef struct _CommandThreadStruct CommandThreadStruct;

class TCommandThreadStruct{
public :
	TCommandThreadStruct();
	CommandThreadStruct&	getData();
private :
	CommandThreadStruct		m_CommandThreadStruct;
};
#endif //_COMMAND_THREAD_STRUCT_H_
