/**
 * @file GetProfile.h
 * @date 2010/04/10 新規作成
 * @author
 *
 * INIファイルパラメータ取得クラス
 */
#ifndef _GET_PROFILE_H_
#define _GET_PROFILE_H_

#include <string>
#include <vector>
#include "TIniFile.h"
#include "ReadIniFile.h"

class GetProfile{
public :
	GetProfile(std::string path);
	int getInt(std::string section, std::string name);
	std::string& getString(std::string section, std::string name);
private :
	std::string	m_Filename;
	TIniFile	m_IniFile;
	ReadIniFile	m_ReadIniFile;
	std::string	m_BufferString;
};
#endif //_GET_PROFILE_H_
