/**
 * @file TIniFile.h
 * @date 2010/04/10 新規作成
 * @author
 *
 * INIファイル型クラス
 */
#ifndef _INI_FILE_H_
#define _INI_FILE_H_

#include <string>
#include <vector>

struct Parameter {
	std::string name;
	std::string value;
};

struct Section {
	std::string sectionName;
	std::vector<struct Parameter> parameter;
};

class TIniFile{
public :
	TIniFile();
	std::vector<struct Section>&	getData();
private :
	std::vector<struct Section>		m_IniFile;
};
#endif //_INI_FILE_H_
